/******************************************************************************
*******************************************************************************

	Bubble Fight EX
	relminator
	http://rel.betterwebber.com


	EntityContainer class


*******************************************************************************
******************************************************************************/


#include "StarFighter.h"
#include "Palettes.h"

#ifndef ENTITYCONTAINER_H
#define ENTITYCONTAINER_H

enum EN_DRAW_MODE
{
	EN_NORMAL = 0,
	EN_COLOR,
	EN_WHITE
};

class EntityContainer 
{

	public:
    virtual void UpdateEntities() = 0;
	virtual void DrawEntities() = 0;
	virtual bool Collide( StarFighter &Star ) = 0;  // should also contain SFX and Explosion classes
	virtual void KillAllEntities() = 0;
	virtual int NumEntities() = 0;
};

#endif // ENTITYCONTAINER_H
